Name:           xcat
Version:        0.7.1
Release:        7%{?dist}
Summary:        A command line tool to explore blind XPath injection vulnerabilities

License:        MIT
URL:            https://github.com/orf/xcat
Source0:        https://pypi.python.org/packages/source/x/%{name}/%{name}-%{version}.zip
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3 >= 3.4.0
Requires:       python3-aiohttp
Requires:       python3-click
Requires:       python3-logbook
Requires:       python3-xmltodict
Requires:       python3-colorama
Requires:       python3-ipgetter

%description
XCat is a command line program that aides in the exploitation of blind XPath
injection vulnerabilities. It can be used to retrieve the whole XML document
being processed by a vulnerable XPath query, read arbitrary files on the
hosts filesystem and utilize out of bound HTTP requests to make the server
send data directly to xcat.

%prep
%setup -q

%build
%{__python3} setup.py build
rm -rf %{srcname}.egg-info
sed -i "s|\r||g" README.rst

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE README.rst
%{_bindir}/%{name}
%{python3_sitelib}/*

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Oct 06 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-4
- Rebuilt

* Wed Jul 22 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-3
- Rebuilt

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 26 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-1
- Initial package for Fedora
